<?php

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'email@example.com', 'password' );

// set logfilename to make the class logging URLs and responses
$bip->logFilename = 'bip-' . date("Y-m") . '.txt';

try {

  $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany' );

  // timing:
  // $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany', '2011-01-01 15:25:35' );

  // unicode SMS, without timing:
  // $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany', null, 'unicode' );

  // unicode SMS, with timing:
  // $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany', '2011-01-01 15:25:35', 'unicode' );

  // callback usage:
  // $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany', null, null, 'ALL', 'localdb_1234' );

  // callback usage with custom status selection:
  // $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany', null, null, 'DELIVERED,REJECTED,UNDELIVERABLE', 'localdb_1234' );

}
catch ( BipKampanyAPIException $e ) {
  // BipKampanyAPIException is raised when the
  // API returns an error
  mail(
    'email@example.com',
    'BIP API call error',
    $e
  );

  // a complete error message string
  echo $e; 
  // the response as an array with array indexes 'result', 'code' and 'message'
  print_r( $bip->getLastResult() ); 
  
}
catch ( Exception $e ) {
  // you can get a general Exception if there's an
  // error unrelated to the API itself:
  // - API answer unknown
  // - API wasn't accessible (possible network issue)
  // - log file is not writable
  mail(
    'email@example.com',
    'General error in BIP API class',
    $e
  );

  // a complete error message string
  echo $e; 
  // the last response as an array with array indexes 'result', 'code' and 'message'
  print_r( $bip->getLastResult() ); 

}

echo '</pre>';

?>