<?php

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'email@example.com', 'password' );

// Use CURL extension to overcome disabled file_get_contents() function 
// (as the allow_url_fopen setting may be set to Off). 
// You'll need to enable CURL extension first - the BIP API class
// also checks if the extension is available.
$bip->callingMethod = 'curl';

try {

  $bip->sendSMS( '36201234567', 'Hello World!', 'BipKampany' );

}
catch ( Exception $e ) {
  // you can get a general Exception if there's an
  // error unrelated to the API itself:
  // - API answer unknown
  // - API wasn't accessible (possible network issue)
  // - log file is not writable
  mail(
    'email@example.com',
    'General error in BIP API class',
    $e
  );

  // a complete error message string
  echo $e; 
  // the last response as an array with array indexes 'result', 'code' and 'message'
  print_r( $bip->getLastResult() ); 
}

echo '</pre>';

?>